#!/bin/bash
#V 0.1 18.10.2012 Bleifuss
#V 0.2 18.03.2013 Bleifuss
###########

PCH_DIR="/usr/share/easyvdr/program-changer"                              #PChanger 
PCH_CFG="/etc/vdr/program-changer"

## Tastur Konfiguration vorhanden?
if [ ! -e $PCH_CFG/program-changer-keyboard.conf ]; then
 cp $PCH_CFG/program-changer-keyboard-template.conf  $PCH_CFG/program-changer-keyboard.conf
fi

if [ -e $PCH_DIR/program-changer.sh ]; then
 rm $PCH_DIR/program-changer.sh
fi

## Schriftgröße löschen
if [ ! -e $PCH_CFG/program-changer.css ]; then
 rm $PCH_CFG/program-changer.css
fi

if [ ! -e $PCH_CFG/program-changer-setup.css ]; then
 rm $PCH_CFG/program-changer-setup.css
fi



echo "#!/bin/bash " > $PCH_DIR/program-changer.sh
echo "#Diese Datei wird mit make-program-changer.sh generiert" >> $PCH_DIR/program-changer.sh
echo "#Manuelle Änderungen werden überschrieben!!" >> $PCH_DIR/program-changer.sh
cat $PCH_DIR/program-changer-main-script-header >> $PCH_DIR/program-changer.sh
cat $PCH_DIR/program-changer-main-script-parameter >> $PCH_DIR/program-changer.sh
cat $PCH_DIR/program-changer-main-script >>$PCH_DIR/program-changer.sh

chmod ugo+x $PCH_DIR/program-changer.sh
