#!/bin/bash
#V 0.2 add disable_pulseaudio_auto_start Bleifuss 18.03.13 

#Nummer der Soundkarte "man amixer"
CARD=0


function master_volume_up {
 MASTER_VOLUME=$(amixer -c $CARD get Master | grep   "\[" | cut -d "["  -f 2 | cut -d "%" -f 1)
 #echo $MASTER_VOLUME
 MASTER_VOLUME=$(($MASTER_VOLUME + 4))
 #echo $(($MASTER_VOLUME + 10))
 amixer set -c $CARD Master $MASTER_VOLUME%
}

function master_volume_down {
MASTER_VOLUME=$(amixer -c $CARD get Master | grep   "\[" | cut -d "["  -f 2 | cut -d "%" -f 1)
#echo $MASTER_VOLUME
MASTER_VOLUME=$(($MASTER_VOLUME - 4))
#echo $(($MASTER_VOLUME + 10))
amixer set -c $CARD Master $MASTER_VOLUME%
}

function master_volume_mute {
MUTE=$(amixer -c $CARD get Master | grep   "\[" | cut -d "["  -f 4 | cut -d "]" -f 1)
if [ $MUTE == "off" ] ; then
 amixer set -c $CARD Master on
 #sleep 1
else
 amixer set -c $CARD Master off
# sleep 1
fi
}

function vdr_shutdown {

 svdrpsend HITK POWER
}

function vdr_restart {
sudo stop easyvdr-frontend
sleep 1
sudo stop easyvdr-vdr
sleep 2
sudo start easyvdr-vdr
sleep 1
sudo start easyvdr-frontend
}

function start_firefox {
 find /home/easyvdr/.mozilla/firefox/ -name sessionstore.* -type f | xargs rm -f
#echo  firefox $1
  firefox $1
}


function nvidia_tv_settings {
## xorg.conf sichern 
 if [ ! -e /etc/X11/xorg.conf_backup_easyvdr ]; then
  cp /etc/X11/xorg.conf /etc/X11/xorg.conf_backup_easyvdr  
 fi
 nvidia-settings
## DPI Parameter hinzufügen
 cp /etc/X11/xorg.conf /etc/X11/xorg.tmp
 if ( ! grep -q DPI /etc/X11/xorg.conf );then
  ## Ist die Datei vorhanden?
  if [ -e /etc/X11/xorg.tmp ]; then 
   cat /etc/X11/xorg.tmp | sed -e '/"Monitor"/a\' -e ' Option  "UseEdidDPI" "FALSE"\n Option  "ConstantDPI" "FALSE"\n Option  "DPI"   "100x100"' > /etc/X11/xorg.conf
  fi
 fi
}


function easyvdr_setup {
 #VT_KONSOLE_OLD=$(fgconsole)        ## aktuell aktives Terminal merken
 chvt 2                             ## auf console 2 umschalten
 #chvt $VT_KONSOLE_OLD               # zurueck zur aufrufenden Konsole
}

function pch_setup {
##### includes #####
. /usr/lib/vdr/functions/easyvdr-functions-lib
. /usr/lib/vdr/easyvdr-config-loader

SetSysconfig "START_CHANGER" "pch_setup"

restart easyvdr-changer
}

function start_easyvdr_update {
 touch /tmp/.start_update
 restart easyvdr-changer
}

function easyvdr_update {
 
 DISPLAY=:0.0 xterm -fullscreen -e 'echo ;echo ;echo ;echo ;echo "Easyvdr Update wird gestartet";echo ;echo ;echo "BITTE KEINE TASTE DRÜCKEN BIS DAS UPDATE BEENDET IST"; echo ;echo ; /usr/bin/easyvdr-update -i ; sleep 10;'
 rm /tmp/.start_update
 start easyvdr-frontend
}

function disable_pulseaudio_auto_start {
 ## Pulseaudio autostart deaktivieren
 FILE_PATH="/etc/xdg/autostart"
 if [ -e $FILE_PATH/pulseaudio.desktop ]; then
  mv $FILE_PATH/pulseaudio.desktop $FILE_PATH/pulseaudio.off
 fi
 if ( ! grep -q "autospawn = no" /etc/pulse/client.conf );then
  sed -i '/autospawn/d' /etc/pulse/client.conf
  echo "autospawn = no" >> /etc/pulse/client.conf
 fi

}
########## Main
$1 $2
